library(ggplot2)
library(ggpubr)
library(grid)
library(gridExtra)

sokasag <- rexp(10000, rate = 1)

mintaAtlagok2 <- c()

for (i in 1:1000)
{
  minta <- sample(sokasag, 2, replace = FALSE)
  atlag <- mean(minta)
  mintaAtlagok2[i] <- atlag
  i <- i + 1
}

gghistogram(mintaAtlagok2, bins = 32)

mintaAtlagok5 <- c()

for (i in 1:1000)
{
  minta <- sample(sokasag, 5, replace = FALSE)
  atlag <- mean(minta)
  mintaAtlagok5[i] <- atlag
  i <- i + 1
}

gghistogram(mintaAtlagok5, bins = 32)

mintaAtlagok10 <- c()

for (i in 1:1000)
{
  minta <- sample(sokasag, 10, replace = FALSE)
  atlag <- mean(minta)
  mintaAtlagok10[i] <- atlag
  i <- i + 1
}

gghistogram(mintaAtlagok10, bins = 32)

mintaAtlagok15 <- c()

for (i in 1:1000)
{
  minta <- sample(sokasag, 15, replace = FALSE)
  atlag <- mean(minta)
  mintaAtlagok15[i] <- atlag
  i <- i + 1
}

gghistogram(mintaAtlagok15, bins = 32)

